## [Unreleased]

### Added

- Show spell and item ID next to text field
- Add `stealth`/`nostealth` macro condition
- Add `mounted`/`nomounted` macro condition
- Add `outdoors`/`indoors` macro condition
- Add `flying`/`noflying` macro condition
- Add `flyable`/`noflyable` macro condition
- Add `swimming`/`noswimming` macro condition
- Add Zone Name(s) load condition, specify multiple using comma as a seperator, or use `!` to negate a condition
- Add the option to execute multiple actions in a single macro, see action groups on the binding Action page
- Add a new binding type to replace the "Append" macro behavior
- Add shared binding options to macros

### Fixed

- Fix various issues with binding display names
- Improve behavior of target spell and item text field shift-clicks
- Fix shared binding options being changable during combat
- Fix custom macros that call protected functions not working [#57]

### Removed

- Remove the macro mode dropdown, the "Run first" and "Run last" behavior can now be achieved by modifying the action group

### Changed

- Save spells and items as ID instead of name
- Separate macro conditions from load conditions
- Replace the binding type dropdown with a the right click context menu option
- Hide binding status page if the binding is not loaded
- Hide binding status page from target/menu bindings
- Simplify the binding status page, remove the "local" macro and condense the related bindings into one list
- Hide binding action page from "Target the unit" and "Open the unit menu" binding types
- Slightly increase width of the binding configuration window
- Rework the binding templates list, it now lists presets of all available binding types, to replace the binding type dropdown

